LHAPDF-CONFIG(1)

NAME
lhapdf-config - script to get version number and compiler flags of the installed LHAPDF library

SYNOPSIS
lhapdf-config [[--help|-h] | [--prefix] | [--pdfsets-path]]

DESCRIPTION
lhapdf-config is a tool that is used to configure to determine the compiler and linker flags that should be used to compile and link programs that use LHAPDF.

OPTIONS

--help | -h
    : show this help message

--prefix
    : show the installation prefix (cf. autoconf)

--incdir
    : show the path to the LHAPDF header directory (for C++ interface)

--libdir
    : show the path to the LHAPDF library directory

--datadir
    : show the path to the LHAPDF installed data directory

--pdfsets-path : show the path to the directory containing the PDF set data files

--cppflags
    : get compiler flags for use with the C preprocessor stage of C++ compilation

--ldflags
    : get compiler flags for use with the linker stage of any compilation

--version
    : returns LHAPDF release version number

AUTHOR
This manual page was written by Lifeng Sun <lifongsun@gmail.com> for the Debian system (but may be used by others).